DROP TABLE IF EXISTS mcgallery_albumflash;
CREATE TABLE mcgallery_albumflash (
  idalbum int(5) NOT NULL default '0',
  descr text NOT NULL,
  thumb varchar(100) NOT NULL default '',
  level char(1) NOT NULL default '',
  comment char(1) NOT NULL default '',
  ecard char(1) NOT NULL default '',
  selection char(1) NOT NULL default '',
  KEY idalbum (idalbum)
) TYPE=MyISAM;

DROP TABLE IF EXISTS mcgallery_albumphoto;
CREATE TABLE mcgallery_albumphoto (
  idalbum int(5) NOT NULL default '0',
  descr text NOT NULL,
  thumb varchar(100) NOT NULL default '',
  level char(1) NOT NULL default '',
  comment char(1) NOT NULL default '',
  ecard char(1) NOT NULL default '',
  selection char(1) NOT NULL default '',
  upload char(1) NOT NULL default '',
  KEY idalbum (idalbum)
) TYPE=MyISAM;

DROP TABLE IF EXISTS mcgallery_albumvideo;
CREATE TABLE mcgallery_albumvideo (
  idalbum int(5) NOT NULL default '0',
  descr text NOT NULL,
  thumb varchar(100) NOT NULL default '',
  level char(1) NOT NULL default '',
  comment char(1) NOT NULL default '',
  ecard char(1) NOT NULL default '',
  selection char(1) NOT NULL default '',
  KEY idalbum (idalbum)
) TYPE=MyISAM;

DROP TABLE IF EXISTS mcgallery_card;
CREATE TABLE mcgallery_card (
  id int(5) NOT NULL auto_increment,
  image varchar(100) NOT NULL default '',
  nom_exp varchar(50) NOT NULL default '',
  email_exp varchar(50) NOT NULL default '',
  nom_dest varchar(50) NOT NULL default '',
  email_dest varchar(50) NOT NULL default '',
  message text NOT NULL,
  nb varchar(100) NOT NULL default '',
  date date default NULL,
  lecture date NOT NULL default '0000-00-00',
  KEY id (id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS mcgallery_comment;
CREATE TABLE mcgallery_comment (
  id int(5) NOT NULL auto_increment,
  id_photo int(5) NOT NULL default '0',
  type char(1) NOT NULL default '',
  date date NOT NULL default '0000-00-00',
  email varchar(50) NOT NULL default '',
  author varchar(30) NOT NULL default '',
  text text NOT NULL,
  note char(1) default NULL,
  valid char(1) NOT NULL default '',
  KEY id (id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS mcgallery_flash;
CREATE TABLE mcgallery_flash (
  id int(5) NOT NULL auto_increment,
  file varchar(100) NOT NULL default '',
  idalbum int(5) NOT NULL default '0',
  album varchar(50) NOT NULL default '',
  cat varchar(50) NOT NULL default 'none',
  title varchar(50) NOT NULL default '',
  author varchar(50) NOT NULL default '',
  email varchar(50) NOT NULL default '',
  url varchar(60) NOT NULL default '',
  descr text NOT NULL,
  add_date date NOT NULL default '0000-00-00',
  ref varchar(20) NOT NULL default '',
  visite int(6) NOT NULL default '0',
  UNIQUE KEY file (file),
  KEY id (id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS mcgallery_members;
CREATE TABLE mcgallery_members (
  id int(5) NOT NULL auto_increment,
  email varchar(50) NOT NULL default '',
  login varchar(30) NOT NULL default '',
  password varchar(30) NOT NULL default '',
  level varchar(100) NOT NULL default '0',
  register date NOT NULL default '0000-00-00',
  visite int(5) NOT NULL default '0',
  date datetime NOT NULL default '0000-00-00 00:00:00',
  KEY id (id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS mcgallery_news;
CREATE TABLE mcgallery_news (
  idnews int(4) NOT NULL auto_increment,
  datenews date NOT NULL default '0000-00-00',
  titlenews text NOT NULL,
  textnews mediumtext NOT NULL,
  linkurl varchar(120) NOT NULL default '',
  linktext varchar(100) NOT NULL default '',
  KEY idnews (idnews)
) TYPE=MyISAM;

DROP TABLE IF EXISTS mcgallery_photo;
CREATE TABLE mcgallery_photo (
  id int(5) NOT NULL auto_increment,
  file varchar(100) NOT NULL default '',
  idalbum int(5) NOT NULL default '0',
  album varchar(50) NOT NULL default '',
  cat varchar(50) NOT NULL default 'none',
  title varchar(50) NOT NULL default '',
  author varchar(50) NOT NULL default '',
  email varchar(50) NOT NULL default '',
  url varchar(60) NOT NULL default '',
  descr text NOT NULL,
  add_date date NOT NULL default '0000-00-00',
  ref varchar(20) NOT NULL default '',
  watermark tinyint(1) NOT NULL default '1',
  string varchar(50) NOT NULL default '',
  visite int(6) NOT NULL default '0',
  UNIQUE KEY file (file),
  KEY id (id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS mcgallery_select;
CREATE TABLE mcgallery_select (
  id int(5) NOT NULL default '0',
  login varchar(30) NOT NULL default '',
  file varchar(50) NOT NULL default '',
  type char(1) NOT NULL default ''
) TYPE=MyISAM;

DROP TABLE IF EXISTS mcgallery_upload;
CREATE TABLE mcgallery_upload (
  id int(4) NOT NULL auto_increment,
  idalbum int(4) NOT NULL default '0',
  file varchar(15) NOT NULL default '',
  author varchar(50) NOT NULL default '',
  email varchar(50) NOT NULL default '',
  url varchar(60) NOT NULL default '',
  title varchar(50) NOT NULL default '',
  descr text NOT NULL,
  KEY id (id)
) TYPE=MyISAM;

DROP TABLE IF EXISTS mcgallery_video;
CREATE TABLE mcgallery_video (
  id int(5) NOT NULL auto_increment,
  file varchar(30) NOT NULL default '',
  idalbum int(5) NOT NULL default '0',
  album varchar(50) NOT NULL default '',
  cat varchar(50) NOT NULL default 'none',
  title varchar(50) NOT NULL default '',
  author varchar(50) NOT NULL default '',
  email varchar(50) NOT NULL default '',
  url varchar(60) NOT NULL default '',
  descr text NOT NULL,
  add_date date NOT NULL default '0000-00-00',
  ref varchar(20) NOT NULL default '',
  visite int(6) NOT NULL default '0',
  UNIQUE KEY file (file),
  KEY id (id)
) TYPE=MyISAM;
